<?php
/**
* @version $Id: k2nocachepagebreak.php $
* @version		30/04/2019
* @package		plg_k2nocachepagebreak
* @author       Bernard Saulmé
* @copyright	Copyright (C) 2014 - 2019 Bernard Saulmé
* @license      GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
*/

defined('_JEXEC') or die;

class plgSystemK2NocachePagebreak extends JPlugin
{
	private $caching = 0;

	function __construct(&$subject, $params) {
            parent::__construct($subject, $params);
	}

	function onAfterRoute() {
		if ($this->checkK2Pagebreak() && JFactory::getApplication()->isSite()) {
			$this->caching = JFactory::getConfig()->get('caching');
			JFactory::getConfig()->set('caching', 0);
		}
	}

	function onAfterDispatch() {
		if ($this->checkK2Pagebreak() && JFactory::getApplication()->isSite()) {
			if ($this->caching == 1) {
				JFactory::getConfig()->set('caching', $this->caching);
			}
		}
	}

	function checkK2Pagebreak() {
		$jinput = JFactory::getApplication()->input;

		if ($jinput->get('option', '', 'STRING') == 'com_k2' && $jinput->get('view', '', 'STRING') == 'item' && (is_numeric($jinput->get('showall', '', 'STRING')) || is_numeric($jinput->get('limitstart', '', 'STRING')) || is_numeric($jinput->get('start', '', 'STRING')) )) {
			return true;
		}

		return false;
	}
}
